Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Service Oriented Architecture Tools Platform (STP) » Problems Installing STP/SCA and GMF
Problems Installing STP/SCA and GMF [message #374595] Mon, 10 March 2008 14:53 Go to next message
Daniel Stucky is currently offline Daniel Stucky
Messages: 35
Registered: July 2009
Member
Hi,

for the EILF project we would like to evaluate the usage of STP/SCA.

I was trying to follow the tutorial "First Steps with the SCA Composite
Designer", but failed during Installation of STP/SCA.
I downloaded and installed "Consolidated requirements zip" (without
eclipse) from
http://download.eclipse.org/modeling/gmf/downloads/drops/R-2 .0.1-200709280000/index.php
Then I downloaded and installed SCACompositeDesigner_0.8.0.200803041719.zip

After restarting eclipse, I did not find the new creation wizards as
described in the tutorial.
There is only File -> New -> Other -> Other -> Composite Model available.

Then I checked the eclipse Product Configuration:
- STP/SCA is not listed as installed plugin
- GMF Base 1.0.0 reports errors in GEF SDK 3.3.1:
No plug-in: "org.eclipse.gef" included at runtime.

Does anybody have any idea what is wrong with my installation ? I'm using
eclipse version 3.3.0.


After that, I downloaded GMF-baseplatform-2.0.1-win32.win32.x86.zip
(including eclipse 3.3.1) and installed STP/SCA.
- no more errors regarding GMF or GEF
- STP/SCA is not listed as installed plugin

Again, there is only a wizard for File -> New -> Other -> Other ->
Composite Model available.


Help is most welcome.

Bye,
Daniel
Re: Problems Installing STP/SCA and GMF [message #374596 is a reply to message #374595] Mon, 10 March 2008 21:03 Go to previous messageGo to next message
Stephane Drapeau is currently offline Stephane Drapeau
Messages: 198
Registered: July 2009
Senior Member
Hi,

Have you installed GMF 2.0.1? As you said, you need to install all GMF
requirements (Requirements section in [1]) but also GMF 2.0.1 (GMF SDK
section in [1]).

If GMF 2.0.1 is already installed, do you have errors concerning GMF or
STP/SCA in the error log?

Stéphane Drapeau
Obeo

[1] :http://download.eclipse.org/modeling/gmf/downloads/drops/R- 2.0.1-200709280000/index.php


Daniel Stucky a écrit :
> Hi,
>
> for the EILF project we would like to evaluate the usage of STP/SCA.
>
> I was trying to follow the tutorial "First Steps with the SCA Composite
> Designer", but failed during Installation of STP/SCA.
> I downloaded and installed "Consolidated requirements zip" (without
> eclipse) from
> http://download.eclipse.org/modeling/gmf/downloads/drops/R-2 .0.1-200709280000/index.php
>
> Then I downloaded and installed SCACompositeDesigner_0.8.0.200803041719.zip
>
> After restarting eclipse, I did not find the new creation wizards as
> described in the tutorial.
> There is only File -> New -> Other -> Other -> Composite Model available.
>
> Then I checked the eclipse Product Configuration:
> - STP/SCA is not listed as installed plugin
> - GMF Base 1.0.0 reports errors in GEF SDK 3.3.1: No plug-in:
> "org.eclipse.gef" included at runtime.
>
> Does anybody have any idea what is wrong with my installation ? I'm
> using eclipse version 3.3.0.
>
>
> After that, I downloaded GMF-baseplatform-2.0.1-win32.win32.x86.zip
> (including eclipse 3.3.1) and installed STP/SCA.
> - no more errors regarding GMF or GEF
> - STP/SCA is not listed as installed plugin
>
> Again, there is only a wizard for File -> New -> Other -> Other ->
> Composite Model available.
>
>
> Help is most welcome.
>
> Bye,
> Daniel
>
Re: Problems Installing STP/SCA and GMF [message #374597 is a reply to message #374596] Tue, 11 March 2008 09:40 Go to previous messageGo to next message
Daniel Stucky is currently offline Daniel Stucky
Messages: 35
Registered: July 2009
Member
Hi,

> Have you installed GMF 2.0.1? As you said, you need to install all GMF
> requirements (Requirements section in [1]) but also GMF 2.0.1 (GMF SDK
> section in [1]).

you were right, I forgot to install GMF SDK. However, installing it did
not change anything.

There are no errors in any log file!

The only error I see is in Help -> Software Updates -> Manage
Configuration at GMF Base 1.0.0 -> GEF SDK 3.3.1:
No plug-in: "org.eclipse.gef" included at runtime.


Bye,
Daniel
Re: Problems Installing STP/SCA and GMF [message #374598 is a reply to message #374595] Tue, 11 March 2008 09:55 Go to previous message
Daniel Stucky is currently offline Daniel Stucky
Messages: 35
Registered: July 2009
Member
Hi all,

today I downloaded GMF (Europa Edition) 2.0.2 from the Europa Discovery
Site.
STP/SCA works now, I see the creation wizards for Composite Diagram and
Model.
They are located beneath "Other" instead of "SOA Tools/SCA Tools" but this
might be because I don't have any SOA tools installed.

Anyway, I'm now able to work with the SCA Composite Designer.

Bye,
Daniel
Re: Problems Installing STP/SCA and GMF [message #613273 is a reply to message #374595] Mon, 10 March 2008 21:03 Go to previous message
Stephane Drapeau is currently offline Stephane Drapeau
Messages: 198
Registered: July 2009
Senior Member
Hi,

Have you installed GMF 2.0.1? As you said, you need to install all GMF
requirements (Requirements section in [1]) but also GMF 2.0.1 (GMF SDK
section in [1]).

If GMF 2.0.1 is already installed, do you have errors concerning GMF or
STP/SCA in the error log?

Stéphane Drapeau
Obeo

[1] :http://download.eclipse.org/modeling/gmf/downloads/drops/R- 2.0.1-200709280000/index.php


Daniel Stucky a écrit :
> Hi,
>
> for the EILF project we would like to evaluate the usage of STP/SCA.
>
> I was trying to follow the tutorial "First Steps with the SCA Composite
> Designer", but failed during Installation of STP/SCA.
> I downloaded and installed "Consolidated requirements zip" (without
> eclipse) from
> http://download.eclipse.org/modeling/gmf/downloads/drops/R-2 .0.1-200709280000/index.php
>
> Then I downloaded and installed SCACompositeDesigner_0.8.0.200803041719.zip
>
> After restarting eclipse, I did not find the new creation wizards as
> described in the tutorial.
> There is only File -> New -> Other -> Other -> Composite Model available.
>
> Then I checked the eclipse Product Configuration:
> - STP/SCA is not listed as installed plugin
> - GMF Base 1.0.0 reports errors in GEF SDK 3.3.1: No plug-in:
> "org.eclipse.gef" included at runtime.
>
> Does anybody have any idea what is wrong with my installation ? I'm
> using eclipse version 3.3.0.
>
>
> After that, I downloaded GMF-baseplatform-2.0.1-win32.win32.x86.zip
> (including eclipse 3.3.1) and installed STP/SCA.
> - no more errors regarding GMF or GEF
> - STP/SCA is not listed as installed plugin
>
> Again, there is only a wizard for File -> New -> Other -> Other ->
> Composite Model available.
>
>
> Help is most welcome.
>
> Bye,
> Daniel
>
Re: Problems Installing STP/SCA and GMF [message #613274 is a reply to message #374596] Tue, 11 March 2008 09:40 Go to previous message
Daniel Stucky is currently offline Daniel Stucky
Messages: 35
Registered: July 2009
Member
Hi,

> Have you installed GMF 2.0.1? As you said, you need to install all GMF
> requirements (Requirements section in [1]) but also GMF 2.0.1 (GMF SDK
> section in [1]).

you were right, I forgot to install GMF SDK. However, installing it did
not change anything.

There are no errors in any log file!

The only error I see is in Help -> Software Updates -> Manage
Configuration at GMF Base 1.0.0 -> GEF SDK 3.3.1:
No plug-in: "org.eclipse.gef" included at runtime.


Bye,
Daniel
Re: Problems Installing STP/SCA and GMF [message #613275 is a reply to message #374595] Tue, 11 March 2008 09:55 Go to previous message
Daniel Stucky is currently offline Daniel Stucky
Messages: 35
Registered: July 2009
Member
Hi all,

today I downloaded GMF (Europa Edition) 2.0.2 from the Europa Discovery
Site.
STP/SCA works now, I see the creation wizards for Composite Diagram and
Model.
They are located beneath "Other" instead of "SOA Tools/SCA Tools" but this
might be because I don't have any SOA tools installed.

Anyway, I'm now able to work with the SCA Composite Designer.

Bye,
Daniel
Previous Topic:Problems Installing STP/SCA and GMF
Next Topic:BPMN Modeler Annotations
Goto Forum:
  


Current Time: Sun Oct 26 07:12:20 GMT 2014

Powered by FUDForum. Page generated in 0.01793 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software